<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);
$zroot = $_SESSION["zdbroot"];

$file = 'salereg_fr.php';

$supplier = $_POST["supplier"];
$p = $_GET["p"];
$ptype = $_POST["ptype"];
$pchtype = $_POST["pchtype"];
$dtype = $_POST["dtype"];
$gsttype = $_POST["gsttype"];

$suppcond = "";
$suppcond2 = "";
$pcond = "";
$ptypecond = "";

if (!empty($supplier)) {
    $suppcond = " AND `party` = '$supplier' ";
    $suppcond2 = " AND `accode` = '$supplier' ";
}

if (!empty($p)) {
    $pcond = " AND `party` = '$p' ";
}

if (!empty($ptype)) {
    $ptypecond = " AND `cashcred`= '$ptype'";
}

if ($ptype == "C") {
    $paytype = "CASH";
} else {
    $paytype = "CREDIT";
}

$formname = 'Sale Register';

if (!empty($dtype)) {
    $dtypecond = " AND `dtype`= '$dtype' ";
}


if (!empty($gsttype)) {
    if ($gsttype == 1) {
        $gstcond = "AND `oms` = '1'";
    } else {
        $gstcond = "AND `oms` = ''";
    }
}

if (($_GET["fdt"]) != '') {
    $mfdt = $_GET["fdt"];
    $mtdt = $_GET["tdt"];
    $mfrmdate = date("y-m-d", strtotime($mfdt));
    $mtodate = date("y-m-d", strtotime($mtdt));
    $dtype = $_GET["rpt"];
} else {

    $mfrmdate = trim($_POST["frmdt"]);
    $mtodate = trim($_POST["todt"]);

    if (empty($_POST["frmdt"])) {
        browse("From Date Cannot Be Empty");
        header("refresh:1; salereg.php");
    }
    if (empty($_POST["todt"])) {
        browse("To Date Cannot Be Empty");
        header("refresh:1; salereg.php");
    }
    $mfdt = date("d-m-Y", strtotime($mfrmdate));
    $mtdt = date("d-m-Y", strtotime($mtodate));
}

if (!empty($gsttype)) {
    if ($gsttype == 1) {
        $gstcond = "AND `oms` = '1'";
    } else {
        $gstcond = "AND `oms` = ''";
    }
} else {
    $gstcond = "";
}

if (isset($_POST["view"]) || ($_GET["view"])) {
    include("includes/linkshead.php");
    ?>
    <style type="text/css">
        #tabital{
            font-style: italic;
        }
        #font1{
            font-style: italic;
        }
        #boldfont{
            font-weight: bold; 
        }


    </style>
    </head>
    <body>


        <div class="container-fluid">
            <?php
            include("includes/head_rep2.php");

            $getpmain2 = mysqli_query($conn, "SELECT *,DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM `salemain` WHERE `vouchdt` >= '$mfrmdate' 
                                        AND `vouchdt` <= '$mtodate' $suppcond $ptypecond  $gstcond $pcond order by vouchdt,vouchno")or die(mysqli_error($conn));


            $getno2 = mysqli_num_rows($getpmain2);


            if ($getno2 > 0) {
                ?>
                <div class="row">
                    <div class="col-lg-12 pad">
                        <table class="table table-condesed table-bordered">
                            <tr class="mySearchTr">
                                <!--9221292520-->
                                <th width="100%" class="h4" style="color:white"><b>Sale Register</b></th>
                            </tr>
                            <tr>
                                <td style="font-size: 15px;padding:5px" class="HDFont" colspan="2">
                                    Total No. of Record :&nbsp;&nbsp;<b><?php echo $getno2; ?></b>
                                </td>
                            </tr>
                        </table>
                        <?php if ($ptype != "") { ?>
                            <table width="100%" class="table" style="background-color: #98F9F0">
                                <tr><td width="7%" style="font-size:14px">Pay Type : </td>
                                    <td width="93%" style="font-size:14px"><b><?php echo $paytype; ?></b></td></tr>
                            </table>
                        <?php } ?>
                        <table style="background: white;width: 100%" class="table table-condensed table-striped table-hover table-bordered">
                            <thead class="mySearchTr">
                                <tr>
                                    <th width="2%;">Sr</th>
                                    <th width="3%;">Voucher</th>
                                    <th width="5%;">Date</th>
                                    <th width="3%;">Invoice</th>
                                    <th width="15%;">Party Name</th>                                
                                    <th width="5%;">Paid By</th>
                                    <th width="10%;">Bank</th>                                
                                    <th width="4%;" class="text-right">Total Qty.</th>
                                    <th width="6%;" class="text-right">Sub Total</th>
                                    <th width="6%;" class="text-right">Discount %</th>
                                    <th width="6%;" class="text-right">Discount Amt.</th>
                                    <th width="5%;" class="text-right">Net Amount </th>
                                    <th width="15%;">Remarks</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php
                                $pctr = $totqty = $totnetamt = 0;
                               

                                while ($pmain = mysqli_fetch_array($getpmain2)) {
                                    if ($pmain['cashcred'] == "C") {
                                        $ptyped = "CASH";
                                    } else if($pmain['cashcred'] == "R"){
                                        $ptyped = "CREDIT";
                                    }

                                        $gparty = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` where `accode` = '$pmain[party]'") or die(mysqli_error($conn));
                                        $sparty = mysqli_fetch_array($gparty);

                                        $bname = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` where `accode` = '$pmain[bank]'") or die(mysqli_error($conn));
                                        $bank = mysqli_fetch_array($bname);

                                        $godown = mysqli_query($conn, "SELECT * FROM `godown` ") or die(mysqli_error($conn));
                                        $ftgodown = mysqli_fetch_array($godown);

                                    $pctr++;
                                    Echo"<tr data-href='purchase.php?mode=edit&vouchno=$voucher' class='clickable-row2' [target]='_blank'>";
                                    Echo"<td>$pctr</td>";
                                    Echo"<td>$pmain[vouchno]</td>";
                                    Echo"<td>$pmain[vouchdt]</td>";
                                    Echo"<td>$pmain[invno]</td>";
                                    Echo"<td>$sparty[name]</td>";
                                    Echo"<td>$ptyped</td>";
                                    Echo"<td>$bank[name]</td>";
                                    Echo"<td class='text-right'>$pmain[totqty]</td>";
                                    Echo"<td class='text-right'>$pmain[subtotal]</td>";
                                    Echo"<td class='text-right'>$pmain[cdiscperc]</td>";
                                    Echo"<td class='text-right'>$pmain[cdiscamt]</td>";
                                    Echo"<td class='text-right'>$pmain[netamt]</td>";
                                    Echo"<td>$pmain[remark1] $pmain[remark2]</td>";
                                    Echo"</tr>";

                                    $totqty = $totqty + $pmain['totqty'];
                                    $totnetamt = $totnetamt + $pmain['netamt'];

                                    if ($_POST["dtype"] == 2) {
                                        Echo "<tr style='height:10px;'>";
                                        Echo "<td colspan='25'>";
                                        Echo "<table style='width:100%;' id='tabital' class='table table-condensed table-hover table-bordered'>";
                                        Echo "<thead>";
                                        Echo "<tr class='' style='background-color:#BABFC2'>";
                                        Echo "<th style='width:5%;'>Sr</th>";
                                        Echo "<th style='width:15%;' class=''>Itemname</th>";
                                        Echo "<th style='width:4%;' class='text-right'> Qty.</th>";
                                        Echo "<th style='width:5%;' class='text-right'>Rate</th>";
                                        Echo "<th style='width:5%;' class='text-right'>Amount</th>";
                                        Echo "</tr>";
                                        Echo "<thead>";
                                        Echo "<tr>";

                                        $ctr2 = $pqty = $tranamt = 0;

                                        $gettran = mysqli_query($conn, "SELECT * FROM `saletran` WHERE `vouchno`='$pmain[vouchno]' order by srno") or die(mysqli_error($conn));
                                        while ($tran = mysqli_fetch_array($gettran)) {

                                            $getitem = mysqli_query($conn, "SELECT `code`,`name` FROM `product` WHERE `code`='$tran[itemcode]'") or die(mysqli_error($conn));
                                            $showitem = mysqli_fetch_array($getitem);

                                            $ctr2++;
                                            Echo "<tr>";
                                            Echo "<td>$ctr2</td>";
                                            Echo "<td>$showitem[name]</td>";
                                            Echo "<td class='text-right'>$tran[qty]</td>";
                                            Echo "<td class='text-right'>$tran[rate]</td>";
                                            Echo "<td class='text-right'>$tran[amount]</td>";
                                            Echo "</tr>";

                                            $pqty = $pqty + $tran['qty'];
                                            $tranamt = $tranamt + $tran['amount'];
                                        }

                                        Echo "<tr style='background-color:#d8e0e6'>";
                                        Echo "<td colspan='1'></td>";
                                        Echo "<td class='text-right'>Total</td>";
                                        Echo "<td class='text-right'>$pqty</td>";
                                        Echo "<td class='text-right'></td>";
                                        Echo "<td class='text-right'>$tranamt</td>";
                                        Echo "</tr>";
                                        Echo "</table>";
                                    }
                                }
                                Echo "<tr style='background-color: #98F9F0'>";
                                Echo "<td colspan='6'></td>";
                                Echo "<td class='text-right'><b>Total</b></td>";
                                Echo "<td class='numeric text-right'><b>$totqty</b></td>";
                                Echo "<td class='numeric text-right'><b></b></td>";
                                Echo "<td class='numeric text-right'><b></b></td>";
                                Echo "<td class='numeric text-right'><b></b></td>";
                                Echo "<td class='numeric text-right'><b>$totnetamt</b></td>";
                                Echo "<td class='numeric text-right'><b></b></td>";
                                Echo "</tr>";
                                ?>
                            </tbody>
                        </table>
                    </div> 
                </div>

                <?php
            }
            ?>
        </div>
        <?php include("includes/linksfoot.php");
        ?>
    </body>
    </html>
    <?php
}

if (isset($_POST["excel"])) {

    $getpmain2 = mysqli_query($conn, "SELECT *,DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM `salemain` WHERE `vouchdt` >= '$mfrmdate' 
                                        AND `vouchdt` <= '$mtodate' $suppcond $ptypecond  $gstcond $pcond order by vouchdt,vouchno")or die(mysqli_error($conn));

    $contents .="Sr, Voucher, Date, Invoice, Party Name, Paid By, Bank, Total Qty., Sub Total, Discount %, Discount Amt., Net Amount, Remarks\n";

                            $pctr = $totqty = $totnetamt = 0;

                                while ($pmain = mysqli_fetch_array($getpmain2)) {
                                    if ($pmain['cashcred'] == "C") {
                                        $ptyped = "CASH";
                                    } else if($pmain['cashcred'] == "R"){
                                        $ptyped = "CREDIT";
                                    }

                                        $gparty = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` where `accode` = '$pmain[party]'") or die(mysqli_error($conn));
                                        $sparty = mysqli_fetch_array($gparty);

                                        $bname = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` where `accode` = '$pmain[bank]'") or die(mysqli_error($conn));
                                        $bank = mysqli_fetch_array($bname);

                                        $godown = mysqli_query($conn, "SELECT * FROM `godown` ") or die(mysqli_error($conn));
                                        $ftgodown = mysqli_fetch_array($godown);

                                    $pctr++;
                                    $contents .="$pctr" . ",";
                                    $contents .="$pmain[vouchno]" . ",";
                                    $contents .="$pmain[vouchdt]" . ",";
                                    $contents .="$pmain[invno]" . ",";
                                    $contents .="$sparty[invno]" . ",";
                                    $contents .="$ptyped" . ",";
                                    $contents .="$bank[name]" . ",";
                                    $contents .="$pmain[totqty]" . ",";
                                    $contents .="$pmain[subtotal]" . ",";
                                    $contents .="$pmain[cdiscperc]" . ",";
                                    $contents .="$pmain[cdiscamt]" . ",";
                                    $contents .="$pmain[netamt]" . ",";
                                    $contents .="$pmain[remark1]" . "$pmain[remark2]" . "\n";

                                    $totqty = $totqty + $pmain['totqty'];
                                    $totnetamt = $totnetamt + $pmain['netamt'];

                                    if ($_POST["dtype"] == 2) {
                                        $contents .="Sr, Item Name, Qty., Rate, Amount\n";

                                        $ctr2 = $pqty = $tranamt = 0;

                                        $gettran = mysqli_query($conn, "SELECT * FROM `saletran` WHERE `vouchno`='$pmain[vouchno]' order by srno") or die(mysqli_error($conn));
                                        while ($tran = mysqli_fetch_array($gettran)) {

                                            $getitem = mysqli_query($conn, "SELECT `code`,`name` FROM `product` WHERE `code`='$tran[itemcode]'") or die(mysqli_error($conn));
                                            $showitem = mysqli_fetch_array($getitem);

                                            $ctr2++;
                                            $contents .="$ctr2" . ",";
                                            $contents .="$showitem[name]" . ",";
                                            $contents .="$tran[qty]" . ",";
                                            $contents .="$tran[rate]" . ",";
                                            $contents .="$tran[amount]" . "\n";

                                            $pqty = $pqty + $tran['qty'];
                                            $tranamt = $tranamt + $tran['amount'];
                                        }

                                        $contents .="" . ",";
                                        $contents .="Total" . ",";
                                        $contents .="$pqty" . ",";
                                        $contents .="" . ",";
                                        $contents .="$tranamt" . "\n";
                                    }
                                }
                                $contents .="" . ",,,,,,";
                                $contents .="Total" . ",";
                                $contents .="$totqty" . ",";
                                $contents .="" . ",,,";
                                $contents .="$totnetamt" . ",";
                                $contents .="" . "\n";

    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1 || $_POST["dtype"] == 3) {
        header("Content-Disposition: attachment;filename = $formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment;filename = $formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
?>